/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2013 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK

DECLARE

BEGIN

  --
  -- Register Cancel EmployeeCenter Flexible View Row
  --      
  xxas_com_sr_pkg.seed_update_service
    (p_service_name      => 'CancelEmpFlexibleViewRow'
    ,p_securing_function => 'XXAS_SRV_X_EMP_FLEX_ROW_PERM'
    ,p_plsql_procedure   => 'xxas_emp_view_ui_pkg.cancel_submit_emp_view_row'
    ,p_parameters        => xxas_com_sr_param_varray
                              (xxas_com_sr_param_type('pViewName'         , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pPrimaryKeyId'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pPrimaryKeyId2'    , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pPrimaryKeyId3'    , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pPrimaryKeyId4'    , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pPrimaryKeyId5'    , xxas_com_sr_pkg.g_VARCHAR2)  
                              ,xxas_com_sr_param_type('pEffectiveDate'    , xxas_com_sr_pkg.g_DATE)
                              ,xxas_com_sr_param_type('pInstancePk1Value' , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pInstancePk2Value' , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pInstancePk3Value' , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pInstancePk4Value' , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pInstancePk5Value' , xxas_com_sr_pkg.g_VARCHAR2)));

END;
/
COMMIT;
EXIT;
