/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2012 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK

CREATE TABLE XXAS_NOTES
  (note_id                     NUMBER         NOT NULL
  ,assignment_id               NUMBER         NOT NULL
  ,type_code                   VARCHAR2(30)   NOT NULL
  ,content                     VARCHAR2(4000) NOT NULL
  ,note_details                XMLTYPE
  ,created_by                  NUMBER         NOT NULL
  ,creation_date               DATE           NOT NULL
  ,last_update_date            DATE           NOT NULL
  ,last_updated_by             NUMBER         NOT NULL
  ,last_update_login           NUMBER         NOT NULL);

GRANT ALL ON XXAS_NOTES TO &1 WITH GRANT OPTION;

COMMIT; 
EXIT;
