/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2015 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK

CREATE TABLE XXAS_OBJECT_VALUES
  (object_type       varchar2(30)  NOT NULL
  ,object_id         number        NOT NULL
  ,object_values     SYS.XMLType   NOT NULL
  ,creation_date     date
  ,created_by        number
  ,last_update_date  date
  ,last_updated_by   number
  ,last_update_login number
  ,CONSTRAINT XXAS_OBJECT_VALUES_PK1 PRIMARY KEY (object_type, object_id));

GRANT ALL ON XXAS_OBJECT_VALUES TO &1 WITH GRANT OPTION;

COMMIT; 
EXIT;
