/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2014 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK

CREATE OR REPLACE VIEW xxas_per_previous_employers_v 
AS
 SELECT pprevempr.previous_employer_id prev_empr_id
      ,pprevempr.person_id person_id
      ,pprevempr.start_date prev_empr_start_date
      ,pprevempr.end_date prev_empr_end_date
      ,pprevjob.previous_job_id prev_empr_job_id
      ,pprevjob.job_name prev_empr_job_name
      ,pprevjob.description prev_empr_duties
      ,pprevempr.employer_name prev_empr_name
      ,pprevempr.period_years
      ,pprevempr.period_days      
      ,pprevempr.description prev_empr_descr
      ,pprevempr.employer_address prev_empr_address
      ,pprevempr.employer_type
      ,pprevempr.employer_subtype
      ,pprevempr.pem_attribute1
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','PER_PREVIOUS_EMPLOYERS',pprevempr.pem_attribute_category,'PEM_ATTRIBUTE1',pprevempr.pem_attribute1) pem_attribute1_meaning
      ,pprevempr.pem_attribute2
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','PER_PREVIOUS_EMPLOYERS',pprevempr.pem_attribute_category,'PEM_ATTRIBUTE2',pprevempr.pem_attribute2) pem_attribute2_meaning
      ,pprevempr.pem_attribute3
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','PER_PREVIOUS_EMPLOYERS',pprevempr.pem_attribute_category,'PEM_ATTRIBUTE3',pprevempr.pem_attribute3) pem_attribute3_meaning
      ,pprevempr.pem_attribute4
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','PER_PREVIOUS_EMPLOYERS',pprevempr.pem_attribute_category,'PEM_ATTRIBUTE4',pprevempr.pem_attribute4) pem_attribute4_meaning
      ,pprevempr.pem_attribute5
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','PER_PREVIOUS_EMPLOYERS',pprevempr.pem_attribute_category,'PEM_ATTRIBUTE5',pprevempr.pem_attribute5) pem_attribute5_meaning
      ,pprevempr.pem_attribute6
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','PER_PREVIOUS_EMPLOYERS',pprevempr.pem_attribute_category,'PEM_ATTRIBUTE6',pprevempr.pem_attribute6) pem_attribute6_meaning
      ,pprevempr.pem_attribute7
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','PER_PREVIOUS_EMPLOYERS',pprevempr.pem_attribute_category,'PEM_ATTRIBUTE7',pprevempr.pem_attribute7) pem_attribute7_meaning
      ,pprevempr.pem_attribute8
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','PER_PREVIOUS_EMPLOYERS',pprevempr.pem_attribute_category,'PEM_ATTRIBUTE8',pprevempr.pem_attribute8) pem_attribute8_meaning
      ,pprevempr.pem_attribute9
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','PER_PREVIOUS_EMPLOYERS',pprevempr.pem_attribute_category,'PEM_ATTRIBUTE9',pprevempr.pem_attribute9) pem_attribute9_meaning
      ,pprevempr.pem_attribute10
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','PER_PREVIOUS_EMPLOYERS',pprevempr.pem_attribute_category,'PEM_ATTRIBUTE10',pprevempr.pem_attribute10) pem_attribute10_meaning
      ,pprevempr.pem_attribute11
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','PER_PREVIOUS_EMPLOYERS',pprevempr.pem_attribute_category,'PEM_ATTRIBUTE11',pprevempr.pem_attribute11) pem_attribute11_meaning
      ,pprevempr.pem_attribute12
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','PER_PREVIOUS_EMPLOYERS',pprevempr.pem_attribute_category,'PEM_ATTRIBUTE12',pprevempr.pem_attribute12) pem_attribute12_meaning
      ,pprevempr.pem_attribute13
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','PER_PREVIOUS_EMPLOYERS',pprevempr.pem_attribute_category,'PEM_ATTRIBUTE13',pprevempr.pem_attribute13) pem_attribute13_meaning
      ,pprevempr.pem_attribute14
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','PER_PREVIOUS_EMPLOYERS',pprevempr.pem_attribute_category,'PEM_ATTRIBUTE14',pprevempr.pem_attribute14) pem_attribute14_meaning
      ,pprevempr.pem_attribute15
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','PER_PREVIOUS_EMPLOYERS',pprevempr.pem_attribute_category,'PEM_ATTRIBUTE15',pprevempr.pem_attribute15) pem_attribute15_meaning
      ,pprevempr.pem_attribute16
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','PER_PREVIOUS_EMPLOYERS',pprevempr.pem_attribute_category,'PEM_ATTRIBUTE16',pprevempr.pem_attribute16) pem_attribute16_meaning
      ,pprevempr.pem_attribute17
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','PER_PREVIOUS_EMPLOYERS',pprevempr.pem_attribute_category,'PEM_ATTRIBUTE17',pprevempr.pem_attribute17) pem_attribute17_meaning
      ,pprevempr.pem_attribute18
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','PER_PREVIOUS_EMPLOYERS',pprevempr.pem_attribute_category,'PEM_ATTRIBUTE18',pprevempr.pem_attribute18) pem_attribute18_meaning
      ,pprevempr.pem_attribute19
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','PER_PREVIOUS_EMPLOYERS',pprevempr.pem_attribute_category,'PEM_ATTRIBUTE19',pprevempr.pem_attribute19) pem_attribute19_meaning
      ,pprevempr.pem_attribute20
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','PER_PREVIOUS_EMPLOYERS',pprevempr.pem_attribute_category,'PEM_ATTRIBUTE20',pprevempr.pem_attribute20) pem_attribute20_meaning
      ,pprevempr.pem_attribute21
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','PER_PREVIOUS_EMPLOYERS',pprevempr.pem_attribute_category,'PEM_ATTRIBUTE21',pprevempr.pem_attribute21) pem_attribute21_meaning
      ,pprevempr.pem_attribute22
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','PER_PREVIOUS_EMPLOYERS',pprevempr.pem_attribute_category,'PEM_ATTRIBUTE22',pprevempr.pem_attribute22) pem_attribute22_meaning
      ,pprevempr.pem_attribute23
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','PER_PREVIOUS_EMPLOYERS',pprevempr.pem_attribute_category,'PEM_ATTRIBUTE23',pprevempr.pem_attribute23) pem_attribute23_meaning
      ,pprevempr.pem_attribute24
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','PER_PREVIOUS_EMPLOYERS',pprevempr.pem_attribute_category,'PEM_ATTRIBUTE24',pprevempr.pem_attribute24) pem_attribute24_meaning
      ,pprevempr.pem_attribute25
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','PER_PREVIOUS_EMPLOYERS',pprevempr.pem_attribute_category,'PEM_ATTRIBUTE25',pprevempr.pem_attribute25) pem_attribute25_meaning
      ,pprevempr.pem_attribute26
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','PER_PREVIOUS_EMPLOYERS',pprevempr.pem_attribute_category,'PEM_ATTRIBUTE26',pprevempr.pem_attribute26) pem_attribute26_meaning
      ,pprevempr.pem_attribute27
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','PER_PREVIOUS_EMPLOYERS',pprevempr.pem_attribute_category,'PEM_ATTRIBUTE27',pprevempr.pem_attribute27) pem_attribute27_meaning
      ,pprevempr.pem_attribute28
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','PER_PREVIOUS_EMPLOYERS',pprevempr.pem_attribute_category,'PEM_ATTRIBUTE28',pprevempr.pem_attribute28) pem_attribute28_meaning
      ,pprevempr.pem_attribute29
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','PER_PREVIOUS_EMPLOYERS',pprevempr.pem_attribute_category,'PEM_ATTRIBUTE29',pprevempr.pem_attribute29) pem_attribute29_meaning
      ,pprevempr.pem_attribute30
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','PER_PREVIOUS_EMPLOYERS',pprevempr.pem_attribute_category,'PEM_ATTRIBUTE30',pprevempr.pem_attribute30) pem_attribute30_meaning
      ,pprevempr.PEM_INFORMATION1
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','Previous Employer Developer DF',pprevempr.PEM_information_category,'PEM_INFORMATION1',pprevempr.pem_information1) pem_information1_meaning
      ,pprevempr.PEM_INFORMATION2
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','Previous Employer Developer DF',pprevempr.PEM_information_category,'PEM_INFORMATION2',pprevempr.pem_information2) pem_information2_meaning
      ,pprevempr.PEM_INFORMATION3
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','Previous Employer Developer DF',pprevempr.PEM_information_category,'PEM_INFORMATION3',pprevempr.pem_information3) pem_information3_meaning
      ,pprevempr.PEM_INFORMATION4
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','Previous Employer Developer DF',pprevempr.PEM_information_category,'PEM_INFORMATION4',pprevempr.pem_information4) pem_information4_meaning
      ,pprevempr.PEM_INFORMATION5
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','Previous Employer Developer DF',pprevempr.PEM_information_category,'PEM_INFORMATION5',pprevempr.pem_information5) pem_information5_meaning
      ,pprevempr.PEM_INFORMATION6
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','Previous Employer Developer DF',pprevempr.PEM_information_category,'PEM_INFORMATION6',pprevempr.pem_information6) pem_information6_meaning
      ,pprevempr.PEM_INFORMATION7
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','Previous Employer Developer DF',pprevempr.PEM_information_category,'PEM_INFORMATION7',pprevempr.pem_information7) pem_information7_meaning
      ,pprevempr.PEM_INFORMATION8
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','Previous Employer Developer DF',pprevempr.PEM_information_category,'PEM_INFORMATION8',pprevempr.pem_information8) pem_information8_meaning
      ,pprevempr.PEM_INFORMATION9
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','Previous Employer Developer DF',pprevempr.PEM_information_category,'PEM_INFORMATION9',pprevempr.pem_information9) pem_information9_meaning
      ,pprevempr.PEM_INFORMATION10
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','Previous Employer Developer DF',pprevempr.PEM_information_category,'PEM_INFORMATION10',pprevempr.pem_information10) pem_information10_meaning
      ,pprevempr.PEM_INFORMATION11
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','Previous Employer Developer DF',pprevempr.PEM_information_category,'PEM_INFORMATION11',pprevempr.pem_information11) pem_information11_meaning
      ,pprevempr.PEM_INFORMATION12
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','Previous Employer Developer DF',pprevempr.PEM_information_category,'PEM_INFORMATION12',pprevempr.pem_information12) pem_information12_meaning
      ,pprevempr.PEM_INFORMATION13
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','Previous Employer Developer DF',pprevempr.PEM_information_category,'PEM_INFORMATION13',pprevempr.pem_information13) pem_information13_meaning
      ,pprevempr.PEM_INFORMATION14
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','Previous Employer Developer DF',pprevempr.PEM_information_category,'PEM_INFORMATION14',pprevempr.pem_information14) pem_information14_meaning
      ,pprevempr.PEM_INFORMATION15
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','Previous Employer Developer DF',pprevempr.PEM_information_category,'PEM_INFORMATION15',pprevempr.pem_information15) pem_information15_meaning
      ,pprevempr.PEM_INFORMATION16
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','Previous Employer Developer DF',pprevempr.PEM_information_category,'PEM_INFORMATION16',pprevempr.pem_information16) pem_information16_meaning
      ,pprevempr.PEM_INFORMATION17
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','Previous Employer Developer DF',pprevempr.PEM_information_category,'PEM_INFORMATION17',pprevempr.pem_information17) pem_information17_meaning
      ,pprevempr.PEM_INFORMATION18
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','Previous Employer Developer DF',pprevempr.PEM_information_category,'PEM_INFORMATION18',pprevempr.pem_information18) pem_information18_meaning
      ,pprevempr.PEM_INFORMATION19
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','Previous Employer Developer DF',pprevempr.PEM_information_category,'PEM_INFORMATION19',pprevempr.pem_information19) pem_information19_meaning
      ,pprevempr.PEM_INFORMATION20
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','Previous Employer Developer DF',pprevempr.PEM_information_category,'PEM_INFORMATION20',pprevempr.pem_information20) pem_information20_meaning
      ,pprevempr.PEM_INFORMATION21
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','Previous Employer Developer DF',pprevempr.PEM_information_category,'PEM_INFORMATION21',pprevempr.pem_information21) pem_information21_meaning
      ,pprevempr.PEM_INFORMATION22
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','Previous Employer Developer DF',pprevempr.PEM_information_category,'PEM_INFORMATION22',pprevempr.pem_information22) pem_information22_meaning
      ,pprevempr.PEM_INFORMATION23
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','Previous Employer Developer DF',pprevempr.PEM_information_category,'PEM_INFORMATION23',pprevempr.pem_information23) pem_information23_meaning
      ,pprevempr.PEM_INFORMATION24
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','Previous Employer Developer DF',pprevempr.PEM_information_category,'PEM_INFORMATION24',pprevempr.pem_information24) pem_information24_meaning
      ,pprevempr.PEM_INFORMATION25
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','Previous Employer Developer DF',pprevempr.PEM_information_category,'PEM_INFORMATION25',pprevempr.pem_information25) pem_information25_meaning
      ,pprevempr.PEM_INFORMATION26
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','Previous Employer Developer DF',pprevempr.PEM_information_category,'PEM_INFORMATION26',pprevempr.pem_information26) pem_information26_meaning
      ,pprevempr.PEM_INFORMATION27
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','Previous Employer Developer DF',pprevempr.PEM_information_category,'PEM_INFORMATION27',pprevempr.pem_information27) pem_information27_meaning
      ,pprevempr.PEM_INFORMATION28
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','Previous Employer Developer DF',pprevempr.PEM_information_category,'PEM_INFORMATION28',pprevempr.pem_information28) pem_information28_meaning
      ,pprevempr.PEM_INFORMATION29
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','Previous Employer Developer DF',pprevempr.PEM_information_category,'PEM_INFORMATION29',pprevempr.pem_information29) pem_information29_meaning
      ,pprevempr.PEM_INFORMATION30
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','Previous Employer Developer DF',pprevempr.PEM_information_category,'PEM_INFORMATION30',pprevempr.pem_information30) pem_information30_meaning
      ,pprevjob.pjo_attribute1
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','PER_PREVIOUS_JOBS',pprevjob.pjo_attribute_category,'PJO_ATTRIBUTE1',pprevjob.pjo_attribute1) pjo_attribute1_meaning
      ,pprevjob.pjo_attribute2
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','PER_PREVIOUS_JOBS',pprevjob.pjo_attribute_category,'PJO_ATTRIBUTE2',pprevjob.pjo_attribute2) pjo_attribute2_meaning
      ,pprevjob.pjo_attribute3
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','PER_PREVIOUS_JOBS',pprevjob.pjo_attribute_category,'PJO_ATTRIBUTE3',pprevjob.pjo_attribute3) pjo_attribute3_meaning
      ,pprevjob.pjo_attribute4
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','PER_PREVIOUS_JOBS',pprevjob.pjo_attribute_category,'PJO_ATTRIBUTE4',pprevjob.pjo_attribute4) pjo_attribute4_meaning
      ,pprevjob.pjo_attribute5
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','PER_PREVIOUS_JOBS',pprevjob.pjo_attribute_category,'PJO_ATTRIBUTE5',pprevjob.pjo_attribute5) pjo_attribute5_meaning
      ,pprevjob.pjo_attribute6
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','PER_PREVIOUS_JOBS',pprevjob.pjo_attribute_category,'PJO_ATTRIBUTE6',pprevjob.pjo_attribute6) pjo_attribute6_meaning
      ,pprevjob.pjo_attribute7
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','PER_PREVIOUS_JOBS',pprevjob.pjo_attribute_category,'PJO_ATTRIBUTE7',pprevjob.pjo_attribute7) pjo_attribute7_meaning
      ,pprevjob.pjo_attribute8
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','PER_PREVIOUS_JOBS',pprevjob.pjo_attribute_category,'PJO_ATTRIBUTE8',pprevjob.pjo_attribute8) pjo_attribute8_meaning
      ,pprevjob.pjo_attribute9
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','PER_PREVIOUS_JOBS',pprevjob.pjo_attribute_category,'PJO_ATTRIBUTE9',pprevjob.pjo_attribute9) pjo_attribute9_meaning
      ,pprevjob.pjo_attribute10
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','PER_PREVIOUS_JOBS',pprevjob.pjo_attribute_category,'PJO_ATTRIBUTE10',pprevjob.pjo_attribute10) pjo_attribute10_meaning
      ,pprevjob.pjo_attribute11
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','PER_PREVIOUS_JOBS',pprevjob.pjo_attribute_category,'PJO_ATTRIBUTE11',pprevjob.pjo_attribute11) pjo_attribute11_meaning
      ,pprevjob.pjo_attribute12
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','PER_PREVIOUS_JOBS',pprevjob.pjo_attribute_category,'PJO_ATTRIBUTE12',pprevjob.pjo_attribute12) pjo_attribute12_meaning
      ,pprevjob.pjo_attribute13
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','PER_PREVIOUS_JOBS',pprevjob.pjo_attribute_category,'PJO_ATTRIBUTE13',pprevjob.pjo_attribute13) pjo_attribute13_meaning
      ,pprevjob.pjo_attribute14
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','PER_PREVIOUS_JOBS',pprevjob.pjo_attribute_category,'PJO_ATTRIBUTE14',pprevjob.pjo_attribute14) pjo_attribute14_meaning
      ,pprevjob.pjo_attribute15
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','PER_PREVIOUS_JOBS',pprevjob.pjo_attribute_category,'PJO_ATTRIBUTE15',pprevjob.pjo_attribute15) pjo_attribute15_meaning
      ,pprevjob.pjo_attribute16
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','PER_PREVIOUS_JOBS',pprevjob.pjo_attribute_category,'PJO_ATTRIBUTE16',pprevjob.pjo_attribute16) pjo_attribute16_meaning
      ,pprevjob.pjo_attribute17
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','PER_PREVIOUS_JOBS',pprevjob.pjo_attribute_category,'PJO_ATTRIBUTE17',pprevjob.pjo_attribute17) pjo_attribute17_meaning
      ,pprevjob.pjo_attribute18
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','PER_PREVIOUS_JOBS',pprevjob.pjo_attribute_category,'PJO_ATTRIBUTE18',pprevjob.pjo_attribute18) pjo_attribute18_meaning
      ,pprevjob.pjo_attribute19
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','PER_PREVIOUS_JOBS',pprevjob.pjo_attribute_category,'PJO_ATTRIBUTE19',pprevjob.pjo_attribute19) pjo_attribute19_meaning
      ,pprevjob.pjo_attribute20
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','PER_PREVIOUS_JOBS',pprevjob.pjo_attribute_category,'PJO_ATTRIBUTE20',pprevjob.pjo_attribute20) pjo_attribute20_meaning
      ,pprevjob.pjo_attribute21
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','PER_PREVIOUS_JOBS',pprevjob.pjo_attribute_category,'PJO_ATTRIBUTE21',pprevjob.pjo_attribute21) pjo_attribute21_meaning
      ,pprevjob.pjo_attribute22
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','PER_PREVIOUS_JOBS',pprevjob.pjo_attribute_category,'PJO_ATTRIBUTE22',pprevjob.pjo_attribute22) pjo_attribute22_meaning
      ,pprevjob.pjo_attribute23
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','PER_PREVIOUS_JOBS',pprevjob.pjo_attribute_category,'PJO_ATTRIBUTE23',pprevjob.pjo_attribute23) pjo_attribute23_meaning
      ,pprevjob.pjo_attribute24
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','PER_PREVIOUS_JOBS',pprevjob.pjo_attribute_category,'PJO_ATTRIBUTE24',pprevjob.pjo_attribute24) pjo_attribute24_meaning
      ,pprevjob.pjo_attribute25
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','PER_PREVIOUS_JOBS',pprevjob.pjo_attribute_category,'PJO_ATTRIBUTE25',pprevjob.pjo_attribute25) pjo_attribute25_meaning
      ,pprevjob.pjo_attribute26
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','PER_PREVIOUS_JOBS',pprevjob.pjo_attribute_category,'PJO_ATTRIBUTE26',pprevjob.pjo_attribute26) pjo_attribute26_meaning
      ,pprevjob.pjo_attribute27
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','PER_PREVIOUS_JOBS',pprevjob.pjo_attribute_category,'PJO_ATTRIBUTE27',pprevjob.pjo_attribute27) pjo_attribute27_meaning
      ,pprevjob.pjo_attribute28
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','PER_PREVIOUS_JOBS',pprevjob.pjo_attribute_category,'PJO_ATTRIBUTE28',pprevjob.pjo_attribute28) pjo_attribute28_meaning
      ,pprevjob.pjo_attribute29
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','PER_PREVIOUS_JOBS',pprevjob.pjo_attribute_category,'PJO_ATTRIBUTE29',pprevjob.pjo_attribute29) pjo_attribute29_meaning
      ,pprevjob.pjo_attribute30
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','PER_PREVIOUS_JOBS',pprevjob.pjo_attribute_category,'PJO_ATTRIBUTE30',pprevjob.pjo_attribute30) pjo_attribute30_meaning
      ,pprevjob.PJO_INFORMATION1
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','Previous Job Developer DF',pprevjob.pjo_information_category,'PJO_INFORMATION1',pprevjob.pjo_information1) pjo_information1_meaning
      ,pprevjob.PJO_INFORMATION2
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','Previous Job Developer DF',pprevjob.pjo_information_category,'PJO_INFORMATION2',pprevjob.pjo_information2) pjo_information2_meaning
      ,pprevjob.PJO_INFORMATION3
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','Previous Job Developer DF',pprevjob.pjo_information_category,'PJO_INFORMATION3',pprevjob.pjo_information3) pjo_information3_meaning
      ,pprevjob.PJO_INFORMATION4
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','Previous Job Developer DF',pprevjob.pjo_information_category,'PJO_INFORMATION4',pprevjob.pjo_information4) pjo_information4_meaning
      ,pprevjob.PJO_INFORMATION5
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','Previous Job Developer DF',pprevjob.pjo_information_category,'PJO_INFORMATION5',pprevjob.pjo_information5) pjo_information5_meaning
      ,pprevjob.PJO_INFORMATION6
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','Previous Job Developer DF',pprevjob.pjo_information_category,'PJO_INFORMATION6',pprevjob.pjo_information6) pjo_information6_meaning
      ,pprevjob.PJO_INFORMATION7
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','Previous Job Developer DF',pprevjob.pjo_information_category,'PJO_INFORMATION7',pprevjob.pjo_information7) pjo_information7_meaning
      ,pprevjob.PJO_INFORMATION8
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','Previous Job Developer DF',pprevjob.pjo_information_category,'PJO_INFORMATION8',pprevjob.pjo_information8) pjo_information8_meaning
      ,pprevjob.PJO_INFORMATION9
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','Previous Job Developer DF',pprevjob.pjo_information_category,'PJO_INFORMATION9',pprevjob.pjo_information9) pjo_information9_meaning
      ,pprevjob.PJO_INFORMATION10
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','Previous Job Developer DF',pprevjob.pjo_information_category,'PJO_INFORMATION10',pprevjob.pjo_information10) pjo_information10_meaning
      ,pprevjob.PJO_INFORMATION11
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','Previous Job Developer DF',pprevjob.pjo_information_category,'PJO_INFORMATION11',pprevjob.pjo_information11) pjo_information11_meaning
      ,pprevjob.PJO_INFORMATION12
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','Previous Job Developer DF',pprevjob.pjo_information_category,'PJO_INFORMATION12',pprevjob.pjo_information12) pjo_information12_meaning
      ,pprevjob.PJO_INFORMATION13
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','Previous Job Developer DF',pprevjob.pjo_information_category,'PJO_INFORMATION13',pprevjob.pjo_information13) pjo_information13_meaning
      ,pprevjob.PJO_INFORMATION14
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','Previous Job Developer DF',pprevjob.pjo_information_category,'PJO_INFORMATION14',pprevjob.pjo_information14) pjo_information14_meaning
      ,pprevjob.PJO_INFORMATION15
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','Previous Job Developer DF',pprevjob.pjo_information_category,'PJO_INFORMATION15',pprevjob.pjo_information15) pjo_information15_meaning
      ,pprevjob.PJO_INFORMATION16
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','Previous Job Developer DF',pprevjob.pjo_information_category,'PJO_INFORMATION16',pprevjob.pjo_information16) pjo_information16_meaning
      ,pprevjob.PJO_INFORMATION17
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','Previous Job Developer DF',pprevjob.pjo_information_category,'PJO_INFORMATION17',pprevjob.pjo_information17) pjo_information17_meaning
      ,pprevjob.PJO_INFORMATION18
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','Previous Job Developer DF',pprevjob.pjo_information_category,'PJO_INFORMATION18',pprevjob.pjo_information18) pjo_information18_meaning
      ,pprevjob.PJO_INFORMATION19
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','Previous Job Developer DF',pprevjob.pjo_information_category,'PJO_INFORMATION19',pprevjob.pjo_information19) pjo_information19_meaning
      ,pprevjob.PJO_INFORMATION20
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','Previous Job Developer DF',pprevjob.pjo_information_category,'PJO_INFORMATION20',pprevjob.pjo_information20) pjo_information20_meaning
      ,pprevjob.PJO_INFORMATION21
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','Previous Job Developer DF',pprevjob.pjo_information_category,'PJO_INFORMATION21',pprevjob.pjo_information21) pjo_information21_meaning
      ,pprevjob.PJO_INFORMATION22
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','Previous Job Developer DF',pprevjob.pjo_information_category,'PJO_INFORMATION22',pprevjob.pjo_information22) pjo_information22_meaning
      ,pprevjob.PJO_INFORMATION23
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','Previous Job Developer DF',pprevjob.pjo_information_category,'PJO_INFORMATION23',pprevjob.pjo_information23) pjo_information23_meaning
      ,pprevjob.PJO_INFORMATION24
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','Previous Job Developer DF',pprevjob.pjo_information_category,'PJO_INFORMATION24',pprevjob.pjo_information24) pjo_information24_meaning
      ,pprevjob.PJO_INFORMATION25
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','Previous Job Developer DF',pprevjob.pjo_information_category,'PJO_INFORMATION25',pprevjob.pjo_information25) pjo_information25_meaning
      ,pprevjob.PJO_INFORMATION26
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','Previous Job Developer DF',pprevjob.pjo_information_category,'PJO_INFORMATION26',pprevjob.pjo_information26) pjo_information26_meaning
      ,pprevjob.PJO_INFORMATION27
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','Previous Job Developer DF',pprevjob.pjo_information_category,'PJO_INFORMATION27',pprevjob.pjo_information27) pjo_information27_meaning
      ,pprevjob.PJO_INFORMATION28
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','Previous Job Developer DF',pprevjob.pjo_information_category,'PJO_INFORMATION28',pprevjob.pjo_information28) pjo_information28_meaning
      ,pprevjob.PJO_INFORMATION29
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','Previous Job Developer DF',pprevjob.pjo_information_category,'PJO_INFORMATION29',pprevjob.pjo_information29) pjo_information29_meaning
      ,pprevjob.PJO_INFORMATION30
      ,xxas_com_vset_pkg.decode_descr_vset_value
         ('800','Previous Job Developer DF',pprevjob.pjo_information_category,'PJO_INFORMATION30',pprevjob.pjo_information30) pjo_information30_meaning
FROM   per_previous_employers pprevempr
      ,per_previous_jobs pprevjob
      ,hr_lookups hrl
WHERE   pprevempr.previous_employer_id = pprevjob.previous_employer_id
AND     hrl.lookup_type = 'PREV_EMP_TYPE'
AND     pprevempr.employer_type = hrl.lookup_code;

BEGIN
  xxas_fnd_dictionary_pkg.add_view
   (p_application_short_name => xxas_util_pkg.app
   ,p_view_name              => 'XXAS_PER_PREVIOUS_EMPLOYERS_V'
   ,p_description            => 'Applaud Person Presious Employers');
END;
/
  
COMMIT;
EXIT;