/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2008 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR CONTINUE FAILURE ROLLBACK

CREATE TABLE XXAS_PERF_REV_TS_PARTICIPANTS
  (perf_review_step_id     number          
  ,perf_participant_id     number              
  ,created_by              number              NOT NULL
  ,creation_date           date                NOT NULL
  ,last_update_date        date                NOT NULL
  ,last_updated_by         number              NOT NULL
  ,last_update_login       number              NOT NULL);
  
ALTER TABLE XXAS_PERF_REV_TS_PARTICIPANTS ADD (end_step_allowed_flag varchar2(10));
 
GRANT ALL ON XXAS_PERF_REV_TS_PARTICIPANTS TO &1 WITH GRANT OPTION;

COMMIT; 
EXIT;




