/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2015 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK

CREATE TABLE XXAS_SAVED_SEARCHES
  (saved_search_id   number        NOT NULL PRIMARY KEY
  ,user_id           number        NOT NULL
  ,search_name       varchar2(400) NOT NULL
  ,search_parameters XMLType       NOT NULL
  ,creation_date     date
  ,created_by        number
  ,last_update_date  date
  ,last_updated_by   number
  ,last_update_login number);

GRANT ALL ON XXAS_SAVED_SEARCHES TO &1 WITH GRANT OPTION;

COMMIT; 
EXIT;
