/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2015 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK

DECLARE

BEGIN

  --
  -- Register Mass Edit Timecard Day
  --
  xxas_com_sr_pkg.seed_update_service
    (p_service_name      => 'MassEditTimecardDay'
    ,p_securing_function => 'XXAS_SRV_C_TCM_LE_PERM'
    ,p_plsql_procedure   => 'xxas_tcm_log_entry_pkg.edit_day_value'
    ,p_parameters        => xxas_com_sr_param_varray
                              (xxas_com_sr_param_type('pAssignmentId'        , xxas_com_sr_pkg.g_NUMBER)
                              ,xxas_com_sr_param_type('pDate'                , xxas_com_sr_pkg.g_DATE)
                              ,xxas_com_sr_param_type('pElementTypeId'       , xxas_com_sr_pkg.g_NUMBER)
                              ,xxas_com_sr_param_type('pField'               , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pValue'               , xxas_com_sr_pkg.g_VARCHAR2)));

END;
/
COMMIT;
EXIT;
