#!/bin/sh
# $Id$
# *===========================================================================*
# |                 Copyright (c) 2008 Applaud Solutions UK Ltd               |
# |                             All rights reserved                           |
# *===========================================================================*

header_string="$Id$"
prog_version=`echo "$header_string" | awk '{print $3}'`
program=`basename $0 .sh`

#
# Validate the number of arguments
#
if [ $# -ne 1 ];
then
   printf "\n$program: this program requires one argument.\n\n"
   printf "$usage\n\n"
   exit 1;
fi

#
# Convert the argument to variables
#
log_msg=$1

#
# Convert the argument to variables
#
[ -n "$XXAS_LOGFILE" ] && echo "$1" >> $XXAS_LOGFILE

exit 0

