/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2013 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK

DECLARE

BEGIN

  --
  -- Register the service
  --
  xxas_com_sr_pkg.seed_update_service
    (p_service_name      => 'CreateAttachment'
    ,p_securing_function => 'XXAS_C_ATTACH_PERM'
    ,p_plsql_procedure   => 'xxas_attachment_pkg.create_file_attachment'
    ,p_parameters        => xxas_com_sr_param_varray
                              (xxas_com_sr_param_type('pEntityName'   , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pPk1Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pPk2Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pPk3Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pPk4Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pPk5Value'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pFileData'     , xxas_com_sr_pkg.g_BLOB)
                              ,xxas_com_sr_param_type('pCategoryCode' , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pFileName'     , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pTitle'        , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pDescription'  , xxas_com_sr_pkg.g_VARCHAR2)));

END;
/
COMMIT;
EXIT;
