/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2008 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK

CREATE TABLE xxas_perf_review_participants
  (perf_review_step_id     number              NOT NULL
  ,reviewer_person_id      number              NOT NULL
  ,perf_participant_id     number              NOT NULL
  ,status_code             varchar2(30)
  ,created_by               number              NOT NULL
  ,creation_date            date                NOT NULL
  ,last_update_date         date                NOT NULL
  ,last_updated_by          number              NOT NULL
  ,last_update_login        number              NOT NULL
  ,CONSTRAINT perf_review_reviewers_pk PRIMARY KEY (perf_review_step_id,reviewer_person_id)
  );
  
  GRANT ALL ON xxas_perf_review_participants TO &1 WITH GRANT OPTION;

COMMIT;
EXIT;