/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2012 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK

CREATE OR REPLACE FORCE VIEW XXAS_PERF_REV_PARTICIPANTS_V
AS
SELECT xprp.perf_review_step_id
      ,xprp.reviewer_person_id
      ,xprp.perf_participant_id
      ,xprp.status_code
      ,xxas_util_pkg.decode_lookup('XXAS_PERF_REVIEW_PER_STATUSES',status_code) status_meaning
      ,xprp.created_by
      ,xprp.creation_date
      ,xprp.last_update_date
      ,xprp.last_updated_by
      ,xprp.last_update_login
FROM  xxas_perf_review_participants xprp;
BEGIN
  xxas_fnd_dictionary_pkg.add_view
   (p_application_short_name => xxas_util_pkg.app
   ,p_view_name              => 'XXAS_PERF_REV_PARTICIPANTS_V'
   ,p_description            => 'Applaud Performance Review Participants');
END;
/
COMMIT;
EXIT;
