/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2012 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK

  CREATE OR REPLACE FORCE VIEW xxas_tcm_period_assignments_v
  AS
  SELECT xtp.period_id
  ,      xtp.period_name
  ,      xtp.start_date
  ,      xtp.end_date
  ,      xtpa.assignment_id
  ,      xtpa.person_id
  ,      xtpa.late_start
  ,      xtpa.early_finish
  FROM   xxas_tcm_periods            xtp 
  ,      xxas_tcm_period_assignments xtpa       
  WHERE  xtp.period_id = xtpa.period_id;

COMMIT;
EXIT;
